import * as $dara from '@darabonba/typescript';
import { GetCommonSwitchConfigResponseBody } from "./GetCommonSwitchConfigResponseBody";
export declare class GetCommonSwitchConfigResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetCommonSwitchConfigResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
